/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

import java.util.List;

/**
 * OASIS XLIFF の翻訳ユニットをあらわすバリューオブジェクト。
 */
public class BlancoXliffTransUnit {
    /**
     * フィールド [id]
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳ユニットのID。
     */
    private String fId;

    /**
     * フィールド [source]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fSource;

    /**
     * フィールド [target]
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffTarget]<br>
     * 翻訳ユニットのターゲット。
     */
    private BlancoXliffTarget fTarget;

    /**
     * フィールド [altTransList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * alt-transのリスト。
     */
    private List fAltTransList = new java.util.ArrayList();

    /**
     * フィールド [noteList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * noteのリスト。
     */
    private List fNoteList = new java.util.ArrayList();

    /**
     * フィールド [id]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳ユニットのID。
     *
     * @param argId フィールド[id]に格納したい値
     */
    public void setId(final String argId) {
        fId = argId;
    }

    /**
     * フィールド[id]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳ユニットのID。
     *
     * @return フィールド[id]に格納されている値
     */
    public String getId() {
        return fId;
    }

    /**
     * フィールド [source]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argSource フィールド[source]に格納したい値
     */
    public void setSource(final String argSource) {
        fSource = argSource;
    }

    /**
     * フィールド[source]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[source]に格納されている値
     */
    public String getSource() {
        return fSource;
    }

    /**
     * フィールド [target]のセッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffTarget]<br>
     * 翻訳ユニットのターゲット。
     *
     * @param argTarget フィールド[target]に格納したい値
     */
    public void setTarget(final BlancoXliffTarget argTarget) {
        fTarget = argTarget;
    }

    /**
     * フィールド[target]のゲッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffTarget]<br>
     * 翻訳ユニットのターゲット。
     *
     * @return フィールド[target]に格納されている値
     */
    public BlancoXliffTarget getTarget() {
        return fTarget;
    }

    /**
     * フィールド [altTransList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * alt-transのリスト。
     *
     * @param argAltTransList フィールド[altTransList]に格納したい値
     */
    public void setAltTransList(final List argAltTransList) {
        fAltTransList = argAltTransList;
    }

    /**
     * フィールド[altTransList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * alt-transのリスト。
     *
     * @return フィールド[altTransList]に格納されている値
     */
    public List getAltTransList() {
        return fAltTransList;
    }

    /**
     * フィールド [noteList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * noteのリスト。
     *
     * @param argNoteList フィールド[noteList]に格納したい値
     */
    public void setNoteList(final List argNoteList) {
        fNoteList = argNoteList;
    }

    /**
     * フィールド[noteList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * noteのリスト。
     *
     * @return フィールド[noteList]に格納されている値
     */
    public List getNoteList() {
        return fNoteList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffTransUnit[");
        buf.append("id=" + fId);
        buf.append(",source=" + fSource);
        buf.append(",target=" + fTarget);
        buf.append(",altTransList=" + fAltTransList);
        buf.append(",noteList=" + fNoteList);
        buf.append("]");
        return buf.toString();
    }
}
